Subject: Re: bug#56346: [BUG] emacs-parsebib and emacs-ebib out of sync

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 05 Jul 2022 10:11:20 +0200

Hello,

Christopher Rodriguez <[email-masked]> writes:

> The emacs-ebib package has been updated recently to depend upon new
> functionality in the emacs-parsebib package, however there has not been
> a release to allow emacs-parsebib to be updated, causing things to break
> on a purely-guix install of these packages.
>
> There has not been an upstream release tag created for emacs-parsebib
> since 2021-12-08 (which was version 3.1.0). However, 11 days ago, the
> actual library's version info was bumped to 4.1.0. This indicates that
> there was a breaking change (which there apparently was).
>
> I have commented on the commit bumping the internal version number[1]
> and I opened an issue to the same effect[2]. I am also in the process of
> recompiling the packages in my declaration that rely on emac-parsebib to
> rely on the commit mentioned above.
>
> So long as that works, I'll send a patch updating the Guix version of
> this package to this more-recent 'release' of emacs-ebib.

Thank you for the report.

I updated emacs-parsebib to 4.1. Closing.

Regards,
-- 
Nicolas Goaziou